XcmsSetWhitePoint(3)

NAME
XcmsSetWhitePoint, XcmsSetWhiteAdjustProc - modifying CCC attributes

SYNTAX

Status XcmsSetWhitePoint(XcmsCCC ccc, XcmsColor *color);

XcmsWhiteAdjustProc XcmsSetWhiteAdjustProc(XcmsCCC ccc, XcmsWhiteAdjustProc white_adjust_proc, XPointer client_data);

ARGUMENTS

ccc Specifies the CCC.

client_data
    Specifies client data for the white point adjustment procedure or NULL.

color
    Specifies the new Client White Point.

white_adjust_proc
    Specifies the white point adjustment procedure.

DESCRIPTION
The function changes the Client White Point in the specified CCC. Note that the pixel member is ignored and that the color specification is left unchanged upon return. The format for the new white point must be or If the color argument is NULL, this function sets the format component of the Client White Point specification to indicating that the Client White Point is assumed to be the same as the Screen White Point.

This function returns nonzero status if the format for the new white point is valid; otherwise, it returns zero.

The function first sets the white point adjustment procedure and client data in the specified CCC with the newly specified procedure and client data and then returns the old procedure.

SEE ALSO
DisplayOfCCC(3), XcmsCCCOfColormap(3), XcmsConvertColors(3), XcmsCreateCCC(3), XcmsDefaultCCC(3)
Xlib - C Language X Interface